///////////////////////////////////////////////////////////////////////////////////////////////////
//
// Well Known Ports Map Header
//
///////////////////////////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////////////////////////
//
// Copyright 1987-2022 PARMAVEX SERVICES
//
// Licensed under the European Union Public Licence (EUPL), Version 1.1 or -
// as soon they will be approved by the European Commission - subsequent
// versions of the EUPL (the "Licence"). You may not use this work except in
// compliance with the Licence. You may obtain a copy of the Licence at:
//
// http://ec.europa.eu/idabc/eupl
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the Licence is distributed on an "AS IS" basis,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the Licence for the specific language governing permissions and
// limitations under the Licence. This source code is free software. It
// must not be sold, leased, rented, sub-licensed or used for any form of
// monetary recompense whatsoever. This notice must not be removed or altered
// from this source distribution.
//
///////////////////////////////////////////////////////////////////////////////////////////////////

#ifndef WINAUDIT_WELL_KNOWN_PORTS_MAP_H_
#define WINAUDIT_WELL_KNOWN_PORTS_MAP_H_

///////////////////////////////////////////////////////////////////////////////////////////////////
// Remarks
///////////////////////////////////////////////////////////////////////////////////////////////////

// bearch table to map a well know port number to its name

///////////////////////////////////////////////////////////////////////////////////////////////////
// Includes
///////////////////////////////////////////////////////////////////////////////////////////////////

// 1. Own Interface
#include "WinAudit/Header Files/WinAudit.h"

// 2. C System Files

// 3. C++ System Files

// 4. Other Libraries

// 5. This Project

// 6. Forwards

///////////////////////////////////////////////////////////////////////////////////////////////////
// Map
///////////////////////////////////////////////////////////////////////////////////////////////////

// The array must be sorted by port number as it is used by bsearch
const PXS_TYPE_PORT_SERVICE PXS_WELL_KNOWN_PORT_SERVICES[] =
    { { 1,   L"tcpmux"         },
      { 2,   L"compressnet"    },
      { 3,   L"compressnet"    },
      { 5,   L"rje"            },
      { 7,   L"echo"           },
      { 9,   L"discard"        },
      { 11,  L"systat"         },
      { 13,  L"daytime"        },
      { 17,  L"qotd"           },
      { 18,  L"msp"            },
      { 19,  L"chargen"        },
      { 20,  L"ftp-data"       },
      { 21,  L"ftp"            },
      { 22,  L"ssh"            },
      { 23,  L"telnet"         },
      { 25,  L"smtp"           },
      { 27,  L"nsw-fe"         },
      { 29,  L"msg-icp"        },
      { 31,  L"msg-auth"       },
      { 33,  L"dsp"            },
      { 37,  L"time"           },
      { 38,  L"rap"            },
      { 39,  L"rlp"            },
      { 41,  L"graphics"       },
      { 42,  L"nameserver"     },
      { 43,  L"nicname"        },
      { 44,  L"mpm-flags"      },
      { 45,  L"mpm"            },
      { 46,  L"mpm-snd"        },
      { 47,  L"ni-ftp"         },
      { 48,  L"auditd"         },
      { 49,  L"tacacs"         },
      { 50,  L"re-mail-ck"     },
      { 51,  L"la-maint"       },
      { 52,  L"xns-time"       },
      { 53,  L"domain"         },
      { 54,  L"xns-ch"         },
      { 55,  L"isi-gl"         },
      { 56,  L"xns-auth"       },
      { 58,  L"xns-mail"       },
      { 61,  L"ni-mail"        },
      { 62,  L"acas"           },
      { 63,  L"whois++"        },
      { 64,  L"covia"          },
      { 65,  L"tacacs-ds"      },
      { 66,  L"sql*net"        },
      { 67,  L"bootps"         },
      { 68,  L"bootpc"         },
      { 69,  L"tftp"           },
      { 70,  L"gopher"         },
      { 71,  L"netrjs-1"       },
      { 72,  L"netrjs-2"       },
      { 73,  L"netrjs-3"       },
      { 74,  L"netrjs-4"       },
      { 76,  L"deos"           },
      { 78,  L"vettcp"         },
      { 79,  L"finger"         },
      { 80,  L"http"           },
      { 81,  L"hosts2-ns"      },
      { 82,  L"xfer"           },
      { 83,  L"mit-ml-dev"     },
      { 84,  L"ctf"            },
      { 85,  L"mit-ml-dev"     },
      { 86,  L"mfcobol"        },
      { 88,  L"kerberos"       },
      { 89,  L"su-mit-tg"      },
      { 90,  L"dnsix"          },
      { 91,  L"mit-dov"        },
      { 92,  L"npp"            },
      { 93,  L"dcp"            },
      { 94,  L"objcall"        },
      { 95,  L"supdup"         },
      { 96,  L"dixie"          },
      { 97,  L"swift-rvf"      },
      { 98,  L"tacnews"        },
      { 99,  L"metagram"       },
      { 101, L"hostname"       },
      { 102, L"iso-tsap"       },
      { 103, L"gppitnp"        },
      { 104, L"acr-nema"       },
      { 106, L"3com-tsmux"     },
      { 107, L"rtelnet"        },
      { 108, L"snagas"         },
      { 109, L"pop2"           },
      { 110, L"pop3"           },
      { 111, L"sunrpc"         },
      { 112, L"mcidas"         },
      { 115, L"sftp"           },
      { 116, L"ansanotify"     },
      { 117, L"uucp-path"      },
      { 118, L"sqlserv"        },
      { 119, L"nntp"           },
      { 120, L"cfdptkt"        },
      { 121, L"erpc"           },
      { 122, L"smakynet"       },
      { 123, L"ntp"            },
      { 124, L"ansatrader"     },
      { 125, L"locus-map"      },
      { 126, L"nxedit"         },
      { 127, L"locus-con"      },
      { 128, L"gss-xlicen"     },
      { 129, L"pwdgen"         },
      { 130, L"cisco-fna"      },
      { 131, L"cisco-tna"      },
      { 132, L"cisco-sys"      },
      { 133, L"statsrv"        },
      { 134, L"ingres-net"     },
      { 135, L"epmap"          },
      { 136, L"profile"        },
      { 137, L"netbios-ns"     },
      { 138, L"netbios-dgm"    },
      { 139, L"netbios-ssn"    },
      { 140, L"emfis-data"     },
      { 141, L"emfis-cntl"     },
      { 142, L"bl-idm"         },
      { 143, L"imap"           },
      { 144, L"uma"            },
      { 145, L"uaac"           },
      { 146, L"iso-tp0"        },
      { 147, L"iso-ip"         },
      { 148, L"jargon"         },
      { 149, L"aed-512"        },
      { 150, L"sql-net"        },
      { 151, L"hems"           },
      { 152, L"bftp"           },
      { 153, L"sgmp"           },
      { 154, L"netsc-prod"     },
      { 155, L"netsc-dev"      },
      { 156, L"sqlsrv"         },
      { 157, L"knet-cmp"       },
      { 158, L"pcmail-srv"     },
      { 159, L"nss-routing"    },
      { 160, L"sgmp-traps"     },
      { 161, L"snmp"           },
      { 162, L"snmptrap"       },
      { 163, L"cmip-man"       },
      { 164, L"cmip-agent"     },
      { 165, L"xns-courier"    },
      { 166, L"s-net"          },
      { 167, L"namp"           },
      { 168, L"rsvd"           },
      { 169, L"send"           },
      { 170, L"print-srv"      },
      { 171, L"multiplex"      },
      { 172, L"cl/1"           },
      { 173, L"xyplex-mux"     },
      { 174, L"mailq"          },
      { 175, L"vmnet"          },
      { 176, L"genrad-mux"     },
      { 177, L"xdmcp"          },
      { 178, L"nextstep"       },
      { 179, L"bgp"            },
      { 180, L"ris"            },
      { 181, L"unify"          },
      { 182, L"audit"          },
      { 183, L"ocbinder"       },
      { 184, L"ocserver"       },
      { 185, L"remote-kis"     },
      { 186, L"kis"            },
      { 187, L"aci"            },
      { 188, L"mumps"          },
      { 189, L"qft"            },
      { 190, L"gacp"           },
      { 191, L"prospero"       },
      { 192, L"osu-nms"        },
      { 193, L"srmp"           },
      { 194, L"irc"            },
      { 195, L"dn6-nlm-aud"    },
      { 196, L"dn6-smm-red"    },
      { 197, L"dls"            },
      { 198, L"dls-mon"        },
      { 199, L"smux"           },
      { 200, L"src"            },
      { 201, L"at-rtmp"        },
      { 202, L"at-nbp"         },
      { 203, L"at-3"           },
      { 204, L"at-echo"        },
      { 205, L"at-5"           },
      { 206, L"at-zis"         },
      { 207, L"at-7"           },
      { 208, L"at-8"           },
      { 209, L"qmtp"           },
      { 210, L"z39.50"         },
      { 211, L"914c/g"         },
      { 212, L"anet"           },
      { 213, L"ipx"            },
      { 214, L"vmpwscs"        },
      { 215, L"softpc"         },
      { 216, L"CAIlic"         },
      { 217, L"dbase"          },
      { 218, L"mpp"            },
      { 219, L"uarps"          },
      { 220, L"imap3"          },
      { 221, L"fln-spx"        },
      { 222, L"rsh-spx"        },
      { 223, L"cdc"            },
      { 224, L"masqdialer"     },
      { 242, L"direct"         },
      { 243, L"sur-meas"       },
      { 244, L"inbusiness"     },
      { 245, L"link"           },
      { 246, L"dsp3270"        },
      { 247, L"subntbcst_tftp" },
      { 248, L"bhfhs"          },
      { 256, L"rap"            },
      { 257, L"set"            },
      { 258, L"yak-chat"       },
      { 259, L"esro-gen"       },
      { 260, L"openport"       },
      { 261, L"nsiiops"        },
      { 262, L"arcisdms"       },
      { 263, L"hdap"           },
      { 264, L"bgmp"           },
      { 265, L"x-bone-ctl"     },
      { 266, L"sst"            },
      { 267, L"td-service"     },
      { 268, L"td-replica"     },
      { 280, L"http-mgmt"      },
      { 281, L"personal-link"  },
      { 282, L"cableport-ax"   },
      { 283, L"rescap"         },
      { 284, L"corerjd"        },
      { 286, L"fxp"            },
      { 287, L"k-block"        },
      { 308, L"novastorbakcup" },
      { 309, L"entrusttime"    },
      { 310, L"bhmds"          },
      { 311, L"asip-webadmin"  },
      { 312, L"vslmp"          },
      { 313, L"magenta-logic"  },
      { 314, L"opalis-robot"   },
      { 315, L"dpsi"           },
      { 316, L"decauth"        },
      { 317, L"zannet"         },
      { 318, L"pkix-timestamp" },
      { 319, L"ptp-event"      },
      { 320, L"ptp-general"    },
      { 321, L"pip"            },
      { 322, L"rtsps"          },
      { 333, L"texar"          },
      { 344, L"pdap"           },
      { 345, L"pawserv"        },
      { 346, L"zserv"          },
      { 347, L"fatserv"        },
      { 348, L"csi-sgwp"       },
      { 349, L"mftp"           },
      { 350, L"matip-type-a"   },
      { 353, L"ndsauth"        },
      { 354, L"bh611"          },
      { 355, L"datex-asn"      },
      { 356, L"cloanto-net-1"  },
      { 357, L"bhevent"        },
      { 358, L"shrinkwrap"     },
      { 359, L"nsrmp"          },
      { 360, L"scoi2odialog"   },
      { 361, L"semantix"       },
      { 362, L"srssend"        },
      { 363, L"rsvp_tunnel"    },
      { 364, L"aurora-cmgr"    },
      { 365, L"dtk"            },
      { 366, L"odmr"           },
      { 367, L"mortgageware"   },
      { 368, L"qbikgdp"        },
      { 369, L"rpc2portmap"    },
      { 370, L"codaauth2"      },
      { 371, L"clearcase"      },
      { 372, L"ulistproc"      },
      { 373, L"legent-1"       },
      { 374, L"legent-2"       },
      { 375, L"hassle"         },
      { 376, L"nip"            },
      { 377, L"tnETOS"         },
      { 378, L"dsETOS"         },
      { 379, L"is99c"          },
      { 380, L"is99s"          },
      { 381, L"hp-collector"   },
      { 382, L"hp-manage-node" },
      { 383, L"hp-alarm-mgr"   },
      { 384, L"arns"           },
      { 385, L"ibm-app"        },
      { 386, L"asa"            },
      { 387, L"aurp"           },
      { 388, L"unidata-ldm"    },
      { 389, L"ldap"           },
      { 390, L"uis"            },
      { 391, L"synotics-relay" },
      { 392, L"synoticsbroker" },
      { 393, L"meta5"          },
      { 394, L"embl-ndt"       },
      { 395, L"netcp"          },
      { 396, L"netware-ip"     },
      { 397, L"mptn"           },
      { 398, L"kryptolan"      },
      { 399, L"iso-tsap-c2"    },
      { 400, L"work-sol"       },
      { 401, L"ups"            },
      { 402, L"genie"          },
      { 403, L"decap"          },
      { 404, L"nced"           },
      { 405, L"ncld"           },
      { 406, L"imsp"           },
      { 407, L"timbuktu"       },
      { 408, L"prm-sm"         },
      { 409, L"prm-nm"         },
      { 410, L"decladebug"     },
      { 411, L"rmt"            },
      { 412, L"synoptics-trap" },
      { 413, L"smsp"           },
      { 414, L"infoseek"       },
      { 415, L"bnet"           },
      { 416, L"silverplatter"  },
      { 417, L"onmux"          },
      { 418, L"hyper-g"        },
      { 419, L"ariel1"         },
      { 420, L"smpte"          },
      { 421, L"ariel2"         },
      { 422, L"ariel3"         },
      { 423, L"opc-job-start"  },
      { 424, L"opc-job-track"  },
      { 425, L"icad-el"        },
      { 426, L"smartsdp"       },
      { 427, L"svrloc"         },
      { 428, L"ocs_cmu"        },
      { 429, L"ocs_amu"        },
      { 430, L"utmpsd"         },
      { 431, L"utmpcd"         },
      { 432, L"iasd"           },
      { 433, L"nnsp"           },
      { 434, L"mobileip-agent" },
      { 435, L"mobilip-mn"     },
      { 436, L"dna-cml"        },
      { 437, L"comscm"         },
      { 438, L"dsfgw"          },
      { 439, L"dasp"           },
      { 440, L"sgcp"           },
      { 441, L"decvms-sysmgt"  },
      { 442, L"cvc_hostd"      },
      { 443, L"https"          },
      { 444, L"snpp"           },
      { 445, L"microsoft-ds"   },
      { 446, L"ddm-rdb"        },
      { 447, L"ddm-dfm"        },
      { 448, L"ddm-ssl"        },
      { 449, L"as-servermap"   },
      { 450, L"tserver"        },
      { 451, L"sfs-smp-net"    },
      { 452, L"sfs-config"     },
      { 453, L"creativeserver" },
      { 454, L"contentserver"  },
      { 455, L"creativepartnr" },
      { 457, L"scohelp"        },
      { 458, L"appleqtc"       },
      { 459, L"ampr-rcmd"      },
      { 460, L"skronk"         },
      { 461, L"datasurfsrv"    },
      { 462, L"datasurfsrvsec" },
      { 463, L"alpes"          },
      { 464, L"kpasswd"        },
      { 466, L"digital-vrc"    },
      { 467, L"mylex-mapd"     },
      { 468, L"photuris"       },
      { 469, L"rcp"            },
      { 470, L"scx-proxy"      },
      { 471, L"mondex"         },
      { 472, L"ljk-login"      },
      { 473, L"hybrid-pop"     },
      { 475, L"tcpnethaspsrv"  },
      { 476, L"tn-tl-fd1"      },
      { 477, L"ss7ns"          },
      { 478, L"spsc"           },
      { 479, L"iafserver"      },
      { 480, L"iafdbase"       },
      { 481, L"ph"             },
      { 482, L"bgs-nsi"        },
      { 483, L"ulpnet"         },
      { 484, L"integra-sme"    },
      { 485, L"powerburst"     },
      { 486, L"avian"          },
      { 487, L"saft"           },
      { 488, L"gss-http"       },
      { 489, L"nest-protocol"  },
      { 490, L"micom-pfs"      },
      { 491, L"go-login"       },
      { 492, L"ticf-1"         },
      { 493, L"ticf-2"         },
      { 494, L"pov-ray"        },
      { 495, L"intecourier"    },
      { 496, L"pim-rp-disc"    },
      { 497, L"dantz"          },
      { 498, L"siam"           },
      { 499, L"iso-ill"        },
      { 500, L"isakmp"         },
      { 501, L"stmf"           },
      { 502, L"asa-appl-proto" },
      { 503, L"intrinsa"       },
      { 504, L"citadel"        },
      { 505, L"mailbox-lm"     },
      { 506, L"ohimsrv"        },
      { 507, L"crs"            },
      { 508, L"xvttp"          },
      { 509, L"snare"          },
      { 510, L"fcp"            },
      { 511, L"passgo"         },
      { 515, L"printer"        },
      { 516, L"videotex"       },
      { 517, L"talk"           },
      { 518, L"ntalk"          },
      { 519, L"utime"          },
      { 521, L"ripng"          },
      { 522, L"ulp"            },
      { 523, L"ibm-db2"        },
      { 524, L"ncp"            },
      { 525, L"timed"          },
      { 526, L"tempo"          },
      { 527, L"stx"            },
      { 528, L"custix"         },
      { 529, L"irc-serv"       },
      { 530, L"courier"        },
      { 531, L"conference"     },
      { 532, L"netnews"        },
      { 533, L"netwall"        },
      { 534, L"mm-admin"       },
      { 535, L"iiop"           },
      { 536, L"opalis-rdv"     },
      { 537, L"nmsp"           },
      { 538, L"gdomap"         },
      { 539, L"apertus-ldp"    },
      { 540, L"uucp"           },
      { 541, L"uucp-rlogin"    },
      { 542, L"commerce"       },
      { 543, L"klogin"         },
      { 544, L"kshell"         },
      { 545, L"appleqtcsrvr"   },
      { 546, L"dhcpv6-client"  },
      { 547, L"dhcpv6-server"  },
      { 548, L"afpovertcp"     },
      { 549, L"idfp"           },
      { 550, L"new-rwho"       },
      { 551, L"cybercash"      },
      { 552, L"devshr-nts"     },
      { 553, L"pirp"           },
      { 554, L"rtsp"           },
      { 555, L"dsf"            },
      { 556, L"remotefs"       },
      { 557, L"openvms-sysipc" },
      { 558, L"sdnskmp"        },
      { 559, L"teedtap"        },
      { 560, L"rmonitor"       },
      { 561, L"monitor"        },
      { 562, L"chshell"        },
      { 563, L"nntps"          },
      { 564, L"9pfs"           },
      { 565, L"whoami"         },
      { 566, L"streettalk"     },
      { 567, L"banyan-rpc"     },
      { 568, L"ms-shuttle"     },
      { 569, L"ms-rome"        },
      { 570, L"meter"          },
      { 571, L"meter"          },
      { 572, L"sonar"          },
      { 573, L"banyan-vip"     },
      { 574, L"ftp-agent"      },
      { 575, L"vemmi"          },
      { 576, L"ipcd"           },
      { 577, L"vnas"           },
      { 578, L"ipdd"           },
      { 579, L"decbsrv"        },
      { 580, L"sntp-heartbeat" },
      { 581, L"bdp"            },
      { 582, L"scc-security"   },
      { 583, L"philips-vc"     },
      { 584, L"keyserver"      },
      { 585, L"imap4-ssl"      },
      { 586, L"password-chg"   },
      { 587, L"submission"     },
      { 588, L"cal"            },
      { 589, L"eyelink"        },
      { 590, L"tns-cml"        },
      { 591, L"http-alt"       },
      { 592, L"eudora-set"     },
      { 593, L"http-rpc-epmap" },
      { 594, L"tpip"           },
      { 595, L"cab-protocol"   },
      { 596, L"smsd"           },
      { 597, L"ptcnameservice" },
      { 598, L"sco-websrvrmg3" },
      { 599, L"acp"            },
      { 600, L"ipcserver"      },
      { 601, L"syslog-conn"    },
      { 602, L"xmlrpc-beep"    },
      { 603, L"idxp"           },
      { 604, L"tunnel"         },
      { 605, L"soap-beep"      },
      { 606, L"urm"            },
      { 607, L"nqs"            },
      { 608, L"sift-uft"       },
      { 609, L"npmp-trap"      },
      { 610, L"npmp-local"     },
      { 611, L"npmp-gui"       },
      { 612, L"hmmp-ind"       },
      { 613, L"hmmp-op"        },
      { 614, L"sshell"         },
      { 615, L"sco-inetmgr"    },
      { 616, L"sco-sysmgr"     },
      { 617, L"sco-dtmgr"      },
      { 618, L"dei-icda"       },
      { 619, L"compaq-evm"     },
      { 620, L"sco-websrvrmgr" },
      { 621, L"escp-ip"        },
      { 622, L"collaborator"   },
      { 623, L"asf-rmcp"       },
      { 624, L"cryptoadmin"    },
      { 625, L"dec_dlm"        },
      { 626, L"asia"           },
      { 627, L"passgo-tivoli"  },
      { 628, L"qmqp"           },
      { 629, L"3com-amp3"      },
      { 630, L"rda"            },
      { 631, L"ipp"            },
      { 632, L"bmpp"           },
      { 633, L"servstat"       },
      { 634, L"ginad"          },
      { 635, L"rlzdbase"       },
      { 636, L"ldaps"          },
      { 637, L"lanserver"      },
      { 638, L"mcns-sec"       },
      { 639, L"msdp"           },
      { 640, L"entrust-sps"    },
      { 641, L"repcmd"         },
      { 642, L"esro-emsdp"     },
      { 643, L"sanity"         },
      { 644, L"dwr"            },
      { 645, L"pssc"           },
      { 646, L"ldp"            },
      { 647, L"dhcp-failover"  },
      { 648, L"rrp"            },
      { 649, L"cadview-3d"     },
      { 650, L"obex"           },
      { 651, L"ieee-mms"       },
      { 652, L"hello-port"     },
      { 653, L"repscmd"        },
      { 654, L"aodv"           },
      { 655, L"tinc"           },
      { 656, L"spmp"           },
      { 657, L"rmc"            },
      { 658, L"tenfold"        },
      { 660, L"mac-srvr-admin" },
      { 661, L"hap"            },
      { 662, L"pftp"           },
      { 663, L"purenoise"      },
      { 664, L"asf-secure-rmc" },
      { 665, L"sun-dr"         },
      { 667, L"disclose"       },
      { 668, L"mecomm"         },
      { 669, L"meregister"     },
      { 670, L"vacdsm-sws"     },
      { 671, L"vacdsm-app"     },
      { 672, L"vpps-qua"       },
      { 673, L"cimplex"        },
      { 674, L"acap"           },
      { 675, L"dctp"           },
      { 676, L"vpps-via"       },
      { 677, L"vpp"            },
      { 678, L"ggf-ncp"        },
      { 679, L"mrm"            },
      { 680, L"entrust-aaas"   },
      { 681, L"entrust-aams"   },
      { 682, L"xfr"            },
      { 683, L"corba-iiop"     },
      { 684, L"corba-iiop-ssl" },
      { 685, L"mdc-portmapper" },
      { 686, L"hcp-wismar"     },
      { 687, L"asipregistry"   },
      { 688, L"realm-rusd"     },
      { 689, L"nmap"           },
      { 690, L"vatp"           },
      { 691, L"msexch-routing" },
      { 692, L"hyperwave-isp"  },
      { 693, L"connendp"       },
      { 694, L"ha-cluster"     },
      { 695, L"ieee-mms-ssl"   },
      { 696, L"rushd"          },
      { 697, L"uuidgen"        },
      { 698, L"olsr"           },
      { 699, L"accessnetwork"  },
      { 700, L"epp"            },
      { 701, L"lmp"            },
      { 702, L"iris-beep"      },
      { 704, L"elcsd"          },
      { 705, L"agentx"         },
      { 706, L"silc"           },
      { 707, L"borland-dsj"    },
      { 709, L"entrust-kmsh"   },
      { 710, L"entrust-ash"    },
      { 711, L"cisco-tdp"      },
      { 712, L"tbrpf"          },
      { 729, L"netviewdm1"     },
      { 730, L"netviewdm2"     },
      { 731, L"netviewdm3"     },
      { 741, L"netgw"          },
      { 742, L"netrcs"         },
      { 744, L"flexlm"         },
      { 747, L"fujitsu-dev"    },
      { 748, L"ris-cm"         },
      { 749, L"kerberos-adm"   },
      { 751, L"pump"           },
      { 752, L"qrh"            },
      { 753, L"rrh"            },
      { 754, L"tell"           },
      { 758, L"nlogin"         },
      { 759, L"con"            },
      { 760, L"ns"             },
      { 761, L"rxe"            },
      { 762, L"quotad"         },
      { 763, L"cycleserv"      },
      { 764, L"omserv"         },
      { 765, L"webster"        },
      { 767, L"phonebook"      },
      { 769, L"vid"            },
      { 770, L"cadlock"        },
      { 771, L"rtip"           },
      { 772, L"cycleserv2"     },
      { 776, L"wpages"         },
      { 777, L"multiling-http" },
      { 780, L"wpgs"           },
      { 800, L"mdbs_daemon"    },
      { 801, L"device"         },
      { 810, L"fcp-udp"        },
      { 828, L"itm-mcell-s"    },
      { 829, L"pkix-3-ca-ra"   },
      { 847, L"dhcp-failover2" },
      { 848, L"gdoi"           },
      { 860, L"iscsi"          },
      { 873, L"rsync"          },
      { 886, L"iclcnet-locate" },
      { 887, L"iclcnet_svinfo" },
      { 900, L"omginitialrefs" },
      { 901, L"smpnameres"     },
      { 902, L"ideafarm-chat"  },
      { 903, L"ideafarm-catch" },
      { 911, L"xact-backup"    },
      { 912, L"apex-mesh"      },
      { 913, L"apex-edge"      },
      { 989, L"ftps-data"      },
      { 990, L"ftps"           },
      { 991, L"nas"            },
      { 992, L"telnets"        },
      { 993, L"imaps"          },
      { 994, L"ircs"           },
      { 995, L"pop3s"          },
      { 996, L"vsinet"         },
      { 997, L"maitrd"         },
      { 1000, L"cadlock2"      },
      { 1010, L"surf"          }
    };

#endif  // WINAUDIT_WELL_KNOWN_PORTS_MAP_H_
